define([
    'Global',
    'underscore',
    'Text!../html/templates/panel-navigation-item.html'
],
    function (Global, _, navigationItemTemplate) {
        'use strict';
        var thisView;

        return Backbone.View.extend({
            tagName: "li",
            attributes:{
                "data-iconpos":"left",
                "data-icon": "arrow-r"
            },
            initialize: function () {
                this.template = _.template(navigationItemTemplate);
                thisView = this;
            },
            render: function () {
                var $document = $(document);
                return this;
            },
            remove: function () {
                Backbone.View.prototype.remove.call(this);
            }
        });
    }
);
